Download it now!
Bug 45682 - WRITER: Tables toolbar: Turn Button Line Color into Split Button.
Summary: WRITER: Tables toolbar: Turn Button Line Color into Split Button.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Winfried Donkers
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks: 45671
  Show dependency treegraph
 
Reported: 2012-02-06 03:19 UTC by Stefan Knorr (astron)
Modified: 2012-03-09 06:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Knorr (astron) 2012-02-06 03:19:47 UTC
We should try to use split buttons for all toolbar color choosers, for a longer rationale, see: bug 45671.

How to get to see the button:
* Open Writer
* Insert a table via Ctrl-F12
/Result/ A table and the table toolbar appear.
* In the toolbar, find the Line Color item (icon: a blue line and a color bucket)
See that the button is a simple button, not a split button.
Comment 1 sasha.libreoffice 2012-02-22 04:27:48 UTC
It is for using mouse cursor as brush?
And why only one icon and not all 4?
Comment 2 Winfried Donkers 2012-02-22 04:55:25 UTC
(In reply to comment #1)
> It is for using mouse cursor as brush?
> And why only one icon and not all 4?

For every color button on the toolbar that should be changed to a 'split button' a separate bug has been entered. See bug 45671, which is the meta bug for them.
If there is a color button that you do not see in the bug, you ar einvited to enter it as a separate bug and link it to bug 45671. (See this bug as example)
Comment 3 sasha.libreoffice 2012-02-22 06:35:17 UTC
I mean "Border style", "Border color", "Borders" and "Background" on "Table toolbar".
And thanks for improving office usability
Comment 4 Not Assigned 2012-03-08 04:15:09 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df0644161bf9b8e476eb138726f38ba5f11b19b7

fdo#45682 split button for writer table line color